<!-- archivo index.html -->

<!DOCTYPE html>
<html lang="es">
  <head><title>index.html</title></head>
  <body>
    <div id="app"></div>
    <!-- carga de la librerķa Vue.js -->
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script>
      const app = new Vue({
        el: "#app",
        data: {
          mensaje: "Hola a todos",
          tamanio: 10
        },
        computed: {
          mensajeFinal: function() {
            if (this.mensaje.length > this.tamanio) {
              return this.mensaje.slice(0, this.tamanio - 3).concat('', '...');
            }

            return this.mensaje; 
          }  
        },
        template: "<span>{{ mensajeFinal }}</span>"
      });
    </script>
  </body>
</html>
